Subject: Serious Permissions Problems - URGENT! (MORE!)

From: "Bryn Hughes" <[email-masked]>
Date: Thu, 01 Mar 2001 11:23:30 -0800

More information:

If I change the group to "root" for the affected directories, everything works fine.  This is why new directories within the other ones are working, all new directories are getting created with 'root' as the group.  I tried creating a new group (testgroup) with nobody but my ID and 'root' as the members, that did not work either.

What am I missing?? 

Bryn

>>> "Bryn Hughes" <[email-masked]> - 3/1/01 10:49 AM >>>
I'm having some serious permissions problems on my netatalk-1.4b2+asun2.1.3 system.  (Yellow Dog Linux 1.2)

There's something not right about the way permissions are getting inherited.  I'm getting things like this:

Create new folder "Folder B" inside "Folder A"... no problem
Create new folder "Folder C" inside "Folder B"... get "You cannot create a folder inside "Folder B" because you do not have sufficient access privileges"

Now, that I could sort of live with... The kicker is, the folder DOES get created!!!!  So it says it can't, but does anyways.  

I am the owner of all of the above folders and they SEEM to be correctly inheriting permissions from the previous level up.

Now, what's really weird... as I said, Folder C DOES get created.  If I open it and then try and create Folder D inside of Folder C, there's no problem!  Where is this screwing up??  I can go off and do whatever I want within Folder C, but trying to create anything in Folder B results in the above message.  I get the same results when I try and copy a folder into Folder B.

This will happen EVERY time I create a folder within Folder A.  I can create Folder "B" fine, but then get errors trying to create anything within it.

Permissions on "Folder A" are set to drwsrwsr-x.  New folders created in Folder A get drwxrwxr-x.  I know that this is wrong, and manually changing the permissions to be the same as the parent folder will fix the problem for that one folder.  Folders created WITHIN Folder C get drwxrwxr-x permissions as well, yet they work fine.

What is going on?!??!?!?!?  I'm pulling my hair out!!

Thanks in advance,

Bryn